class StringValidator extends mx.validators.StringValidator
{
	public var required:Boolean = false;
	
	public function StringValidator()
	{
		super();
	}
	
	public function doValidation( value:String ) : Void
	{
		if ( value.length == 0 && !required )
			return;
			
		super.doValidation( value );		
	}
	
	public static function validateRequiredString( validator, value, baseField, required ) : Boolean 
	{
		if ( value.length == 0 && !required )
			return true;
			
		return mx.validators.StringValidator.validateString( validator, value, baseField );
	}
}