import com.iterationtwo.hotmail.view.HotmailViewHelper;

class com.iterationtwo.hotmail.business.HotmailDelegate
{

	public function HotmailDelegate()
	{
		this.viewHelper = new HotmailViewHelper();
		this.service = locateService( "hotmail" );
	}

	//------------------------------------------------------------

	public function sendMessage() : Void
	{
		service.SendMail.send();
	}

	//------------------------------------------------------------

	public function getInbox()
	{
		service.getInbox.send();
	}

	//------------------------------------------------------------

	public function fetchMessage( mailboxItemIndex:Number ) : Void
	{
		//mx.core.Application.alert( "Fetching message "+ mailboxItemIndex );
		var urlOfHotmailMessage = viewHelper.getMessageUrl( mailboxItemIndex );
		viewHelper.setSelectedUrl( urlOfHotmailMessage );
		//mx.core.Application.alert( "Fetching message url "+ viewHelper.getSelectedUrl() );

		// Invoke the Web Service
		service.getMail.send();
	}
	
	//------------------------------------------------------------

	private function locateService( serviceName:String ) : Object
	{
		if ( serviceName == "hotmail" )
			return viewHelper.getService();
		else
			return null;
	}

	//------------------------------------------------------------

	private var service:Object;
	private var viewHelper:HotmailViewHelper;
}