class BlogViewHelper 
{
 
	function getTitle( feedResult : Object ) : String
	{
		var isRSS = ( feedResult.rss != null );

		if ( isRSS ) return feedResult.rss.channel.title
		else	     return feedResult.RDF.channel.title;
	}

	function getDate( feedResult : Object ) : String
	{
		var isRSS = ( feedResult.rss != null );

		if ( isRSS ) return feedResult.rss.channel.lastBuildDate
		else	     return feedResult.RDF.channel.date;
	}

	function getURL( feedResult : Object ) : String
	{
		var isRSS = ( feedResult.rss != null );

		if ( isRSS ) return feedResult.rss.channel.link
		else	     return feedResult.RDF.channel.link;
	}

	function getItem( feedResult : Object ) : String
	{
		var isRSS = ( feedResult.rss != null );

		if ( isRSS ) return feedResult.rss.channel.item
		else	     return feedResult.RDF.item;
	}

	function getColumnNames( feedResult : Object ) : Array
	{
		var isRSS = ( feedResult.rss != null );

		if ( isRSS ) return ['title','pubDate']
		else	     return ['title','date'];
	}

	function setSelectedEntry( event : Object )
	{
		selectedEntry = event.target.selectedItem;
	}

	function getSelectedEntryDescription() : String
	{
		return selectedEntry.description;
	}

	function setSelectedBlog( blogURL : String )
	{
		selectedBlog = blogURL;
	}

	function getSelectedBlog() : String
	{
		return selectedBlog;
	}

	public var selectedEntry;
	public var selectedBlog;

}