﻿import com.iterationtwo.banking.business.*;
import com.iterationtwo.banking.commands.*;
import com.iterationtwo.banking.vo.*;
import com.iterationtwo.banking.control.*;

class com.iterationtwo.banking.commands.DisplayTransactionCommand implements Command
{
	public function DisplayTransactionCommand()
	{
	}

//------------------------------------------------------------------------------
			
    public function execute( event:Event ):Void
    {		
			var transaction:TransactionVO = (TransactionVO) event.data;
			updateTransactionDetails( transaction );		
		
	}

//------------------------------------------------------------------------------
		
	private function updateTransactionDetails( transaction:TransactionVO ) : Void
	{
		mx.core.Application.application.account.tabs.details.date.text= transaction.date;
		mx.core.Application.application.account.tabs.details.description.text= transaction.description;
		mx.core.Application.application.account.tabs.details.amount.text= transaction.amount;
	}
}