﻿import com.iterationtwo.banking.business.*;
import com.iterationtwo.banking.commands.*;
import com.iterationtwo.banking.vo.*;
import com.iterationtwo.banking.control.*;

class com.iterationtwo.banking.commands.FetchPortfolioCommand implements Command, Responder
{
	public var delegate:AccountDelegate;
	
	public function FetchPortfolioCommand()
	{
		this.delegate = new AccountDelegate( this );
	}

//------------------------------------------------------------------------------
			
	public function execute( event:Event ):Void
	{		
		delegate.getPortfolio();		
	}

//------------------------------------------------------------------------------

	public function onResult( result ) : Void
	{
  	var portfolio:AccountPortfolioVO = (AccountPortfolioVO) result;
		mx.core.Application.application.portfolio = portfolio;
	}

//------------------------------------------------------------------------------

	public function onFault( fault ) : Void
	{
	}

}