﻿import com.iterationtwo.banking.business.*;
import com.iterationtwo.banking.commands.*;
import com.iterationtwo.banking.vo.*;
import com.iterationtwo.banking.control.*;

class com.iterationtwo.banking.commands.FetchPortfolioCommand implements Command, Responder
{
	public var delegate:AccountDelegate;
	
	public function FetchPortfolioCommand()
	{
		this.delegate = new AccountDelegate( this );
	}

//------------------------------------------------------------------------------
			
	public function execute( event:Event ):Void
	{		
		delegate.getPortfolio();		
	}

//------------------------------------------------------------------------------

	public function onResult( result ) : Void
	{
    	var ap:AccountPortfolioVO = (AccountPortfolioVO) result;
//		var isVO = ( ap instanceof AccountPortfolioVO );
//		dumpVO( ap );
		mx.core.Application.application.portfolio = ap;
	}

//------------------------------------------------------------------------------

	public function onFault( fault ) : Void
	{
//		mx.core.Application.alert( "onFault " + fault.faultcode );
//		var txt = "";
//		for ( var p in fault )
//			txt = txt + p + " " + fault[p] + "\n";
//		
//		mx.core.Application.alert( txt );
	}
	
//------------------------------------------------------------------------------

	private function dumpVO( vo ) : Void
	{
			var msg:String = "AccountPortfolioVO[ ";
			for ( var a in vo )
			{
				msg += a+":"+vo[a];
			}
			msg += "]\n\n";
			
			msg += "number of accounts: "+vo.accounts.size+"\n\n";
			
			for ( var acc in vo.accounts )
			{
				msg += "AccountVO "+acc+":"+vo.accounts[acc];
			}
			
			mx.core.Application.alert( msg );
	}
}