-- MySQL dump 9.08
--
-- Host: localhost    Database: flexbook
---------------------------------------------------------
-- Server version	4.0.13-max-debug

--
-- Table structure for table 'applications'
--

DROP TABLE applications;
CREATE TABLE applications (
  id int(11) NOT NULL auto_increment,
  first_name varchar(255) default NULL,
  last_name varchar(255) default NULL,
  address_line_1 varchar(255) default NULL,
  address_line_2 varchar(255) default NULL,
  address_line_3 varchar(255) default NULL,
  city varchar(255) default NULL,
  country varchar(255) default NULL,
  postcode varchar(255) default NULL,
  date_of_birth datetime default NULL,
  credit_card_id tinyint(4) default NULL,
  status tinyint(4) default NULL,
  gender_is_male tinyint(4) default NULL,
  credit_limit int(11) default NULL,
  requested_credit_limit int(11) default NULL,
  date_of_application datetime NOT NULL default '0000-00-00 00:00:00',
  lost_or_stolen tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

--
-- Dumping data for table 'applications'
--

INSERT INTO applications VALUES (1,'Alistair','McLeod','4 Redheughs Rigg',NULL,NULL,'Edinburgh','UK','EH12 9DQ','1970-01-01 01:00:00',2,0,0,1500,20000,'2004-04-18 13:05:03',0);
INSERT INTO applications VALUES (2,'Alistair','McLeod','4 Redheughs Rigg',NULL,NULL,'Edinburgh','UK','EH12 9DQ','1976-12-09 00:00:00',2,3,0,9500,20000,'2004-02-18 12:58:29',0);
INSERT INTO applications VALUES (3,'Alistair','McLeod','4 Redheughs Rigg',NULL,NULL,'Edinburgh','UK','EH12 9DQ','1976-12-09 00:00:00',2,1,0,6000,11500,'2003-11-18 12:58:29',0);
INSERT INTO applications VALUES (4,'Alistair','McLeod','4 Redheughs Rigg',NULL,NULL,'Edinburgh','UK','EH12 9DQ','1976-12-09 00:00:00',2,0,1,1000,11500,'2004-02-18 12:58:29',0);
INSERT INTO applications VALUES (5,'Alistair','McLeod','4 Redheughs Rigg',NULL,NULL,'Edinburgh','UK','EH12 9DQ','1974-07-23 00:00:00',2,0,1,16500,11500,'2002-10-18 12:58:29',0);
INSERT INTO applications VALUES (6,'Alistair','McLeod','4 Redheughs Rigg',NULL,NULL,'Edinburgh','UK','EH12 9DQ','1974-07-09 00:00:00',2,1,1,1500,11500,'2004-02-18 12:58:29',0);
INSERT INTO applications VALUES (7,'A','b','c',NULL,NULL,'d','USA','11111','2004-04-06 00:00:00',2,3,1,2500,10000,'2004-02-18 12:58:29',0);
INSERT INTO applications VALUES (8,'a','a','a',NULL,NULL,'a','USA','11111','2004-04-05 00:00:00',2,1,1,3000,10000,'2004-02-18 12:58:29',0);
INSERT INTO applications VALUES (9,'1','1','1',NULL,NULL,'1','USA','11111','2004-04-12 00:00:00',6,0,1,500,10000,'2003-10-18 12:58:29',0);
INSERT INTO applications VALUES (10,'1','1','1',NULL,NULL,'1','USA','11111','2004-04-06 00:00:00',5,1,1,1500,500,'2003-11-18 12:58:29',0);
INSERT INTO applications VALUES (11,'a','a','a',NULL,NULL,'a','USA','11111','2004-04-06 00:00:00',8,2,1,0,10000,'2003-08-18 12:58:29',0);
INSERT INTO applications VALUES (12,'a','a','a',NULL,NULL,'a','USA','11111','2004-04-05 00:00:00',8,1,1,3000,10000,'2003-08-18 12:58:29',0);
INSERT INTO applications VALUES (13,'aaa','aa','aa','aaaa',NULL,'aaa','UK','eh12 0dq','2004-04-20 00:00:00',7,1,0,20000,15000,'2003-06-18 12:58:29',0);
INSERT INTO applications VALUES (14,'a','a','a','aaaa',NULL,'a','USA','90210','2004-04-06 00:00:00',3,2,1,500,10000,'2004-01-18 12:58:29',0);
INSERT INTO applications VALUES (15,'a','a','a','aaaa',NULL,'a','USA','11111','2004-04-12 00:00:00',9,1,1,1000,10000,'2003-07-18 12:58:29',0);
INSERT INTO applications VALUES (16,'a','a','a','aaaa','bbbbbba','a','USA','11111','2004-04-12 00:00:00',9,3,1,10500,10000,'2003-07-18 12:58:29',0);
INSERT INTO applications VALUES (17,'a','a','a','aaaa','bbbbbba','a','USA','11111','2004-04-12 00:00:00',3,1,1,500,10000,'2003-10-18 12:58:29',0);
INSERT INTO applications VALUES (18,'Alistair','Mcleod','24','aaaa','bbbbbba','D','UK','EH12 9DQ','2004-04-05 00:00:00',7,0,1,500,10000,'2003-09-18 12:58:29',0);
INSERT INTO applications VALUES (19,'Alistair','McLeod','24','aaaa','bbbbbba','a','USA','11111','2004-04-14 00:00:00',2,1,1,500,10000,'2004-02-18 12:58:29',0);
INSERT INTO applications VALUES (20,'Alistair','McLeod','24','aaaa','bbbbbba','a','USA','11111','2004-04-14 00:00:00',2,1,1,3000,10000,'2004-02-18 12:58:29',0);
INSERT INTO applications VALUES (21,'a','b','2','aaaa','bbbbbba','a','UK','EH12 9DQ','2004-04-06 00:00:00',8,3,1,0,10000,'2003-08-18 12:58:29',0);
INSERT INTO applications VALUES (22,'a','b','2','aaaa','bbbbbba','a','UK','EH12 9DQ','2004-04-06 00:00:00',8,0,1,0,10000,'2003-08-18 12:58:29',0);
INSERT INTO applications VALUES (23,'Alistair','McLeod','24',NULL,NULL,'aaa','USA','90210','2004-04-07 00:00:00',9,2,1,4000,10000,'2004-04-21 21:11:47',127);
INSERT INTO applications VALUES (24,'a','b','a',NULL,NULL,'a','USA','11111','2004-04-13 00:00:00',6,0,1,0,10000,'2004-04-21 21:11:47',127);
INSERT INTO applications VALUES (25,'aaaa','aaa','aaa',NULL,NULL,'aa','USA','11111','2004-04-15 00:00:00',3,2,1,3500,19000,'2004-04-21 21:19:10',0);

--
-- Table structure for table 'credit_cards'
--
DROP TABLE credit_cards;
CREATE TABLE credit_cards (
  id int(11) NOT NULL auto_increment,
  interest_rate int(11) default NULL,
  balance_transfer_interest_rate int(11) default NULL,
  has_interest_free_period tinyint(4) default NULL,
  is_charitable tinyint(4) default NULL,
  has_airmiles tinyint(4) default NULL,
  has_Cash Back tinyint(4) default NULL,
  summary varchar(255) default NULL,
  blurb text,
  asset varchar(255) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

--
-- Dumping data for table 'credit_cards'
--

INSERT INTO credit_cards VALUES (1,20,16,1,0,0,1,'Standard','Interest 25.9%, transfer 18.9%, Interest-free, Cash Back','blue');
INSERT INTO credit_cards VALUES (2,22,22,0,1,0,0,'Charitable','Charitable card','green');
INSERT INTO credit_cards VALUES (3,17,10,0,0,1,0,'Air Miles','Air Miles card','blue');
INSERT INTO credit_cards VALUES (4,23,7,0,0,0,0,'Student','Not a very good card','green');
INSERT INTO credit_cards VALUES (5,24,19,1,0,0,1,'Gold','Interest-free and Cash Back','blue');
INSERT INTO credit_cards VALUES (6,14,12,1,1,0,0,'Silver','Interest-free and Charitable','green');
INSERT INTO credit_cards VALUES (7,15,13,1,0,1,0,'Bronze','Interest-free and Air Miles','yellow');
INSERT INTO credit_cards VALUES (8,10,8,0,0,0,0,'Prime','Cheap','green');
INSERT INTO credit_cards VALUES (9,28,27,1,1,1,1,'Platinum','Expensive','yellow');

