import com.iterationtwo.boe.business.*;
import com.iterationtwo.boe.commands.*;
import com.iterationtwo.boe.control.*;
import com.iterationtwo.boe.vo.*;

class com.iterationtwo.boe.commands.AddApplicationCommand implements Command, Responder
{
	public var delegate:ApplicationDelegate;
	
	public function AddApplicationCommand()
	{
		trace( "AddApplicationCommand constructor" );
		this.delegate = new ApplicationDelegate( this );
	}

//------------------------------------------------------------------------------
			
	public function execute( event:Event ):Void
	{		
		trace( "AddApplicationCommand execute" );
		delegate.addApplication( ApplicationVO( event.data ) );		
	}

//------------------------------------------------------------------------------

	public function onResult( event ) : Void
	{
//		mx.core.Application.alert( "onResult " + event.result );
	}

//------------------------------------------------------------------------------

	public function onFault( event ) : Void
	{
		trace( "FAULT" );
		for ( var p in event.fault )
			trace( p + " " + event.fault[p] );
			
		mx.core.Application.alert( "onFault " + event.fault.faultcode + " " + event.fault.faultstring );
	}
}