class com.iterationtwo.boe.viewhelpers.DashboardViewHelper
{
	public function DashboardViewHelper()
	{
	}

	public function setApplicationsOverTime( applicationsOverTime : Array ) : Void
	{
		mx.core.Application.application.salesCharts.applicationsOverTime = applicationsOverTime;
	}

	public function setApplicationCountPerCard( applicationCountPerCard : Array ) : Void
	{
		mx.core.Application.application.applicationCountPerCard = applicationCountPerCard;
	}

	public function setApplications( applications : Array ) : Void
	{
		mx.core.Application.application.cardApplications.allApplications = applications;
		mx.core.Application.application.cardApplications.applications = applications;
	}

//------------------------------------------------------------------------------

	public function setCreditCards( creditCards : Array ) : Void
	{
		mx.core.Application.application.cards = creditCards;
	}

//------------------------------------------------------------------------------

	public function filterApplications( filter : Object ) : Void
	{
		var filteredApplications = new Array();
		var allApplications = mx.core.Application.application.cardApplications.allApplications;

		for ( var i = 0; i < allApplications.length; i++ )
		{
			var item = allApplications[i];
			var include : Boolean = false;
			if ( ( filter.text == "" || item.firstName.toLowerCase().indexOf( filter.text ) > -1 || item.lastName.toLowerCase().indexOf( filter.text ) > -1 )
						&&
				   ( filter.status == -1 || item.status == filter.status )
					  &&
					 ( filter.startDate == undefined || filter.startDate.getTime() <= item.dateOfApplication.getTime() )
					  &&
					 ( filter.endDate == undefined || filter.endDate.getTime() >= item.dateOfApplication.getTime() )
			   )
				include = true;

			if ( include )
				filteredApplications.push( item );
		}

		mx.core.Application.application.cardApplications.applications = filteredApplications;
	}
}
