class com.iterationtwo.preloader.Preloader extends MovieClip
{
	static var symbolName:String="com.iterationtwo.preloader.Preloader";
	static var symbolOwner:Object = com.iterationtwo.preloader.Preloader;
	var className:String="Preloader";

	var pbar:MovieClip;
	var pbarText:TextField;

	function Preloader()
	{
		pbar._xScale = 0;
	}

	function setProgress( loaded : Number, total : Number )
	{
		var percent = loaded / total;

		pbar._xScale = loaded / total * pbar._width - 2;
		pbarText.text="Loaded " + ( percent * 100 ) + "%";
	}

	function onEnterFrame()
	{
		pbar._xScale = pbar._xScale + 10;
	}

	function get indeterminate() : Boolean
	{
		return false;
	}

	function set indeterminate( indeterminate : Boolean ) : Void
	{
		___indeterminate = indeterminate;
	}

	function get label() : String
	{
		return pbarText.text;
	}

	function set label( label : String ) : Void
	{
		pbarText.text = label;
	}

	function set visible ( visible : Boolean ) : Void
	{
		_alpha = 75;
		___visible = visible;
	}

	function get visible() : Boolean
	{
		return ___visible;
	}


	private var ___visible;
	private var ___indeterminate;
}