[Event("menuItemSelected")]

class com.iterationtwo.components.ContextMenu extends mx.core.UIObject
{
	public var dataProvider:Object;
	public var contextOver:String;

	public function ContextMenu()
	{
		contextOver = String( mx.core.Application.application );
		parent.addEventListener( "initialize",  mx.utils.Delegate.create( this, setUpContextMenu ) );
//		parent.addEventListener( "creationComplete", setUpContextMenu );

//		mx.core.Application.alert( String( new mx.utils.Delegate.create( this, setUpContextMenu ) ) );
//		mx.core.Application.alert( String( mx.core.Application.application.testContextMenuWithButton ) );
//		mx.core.Application.application.testContextMenuWithButton.addEventListener( "click", setUpContextMenu );
	}
	
	public function setUpContextMenu()
	{		
//		mx.core.Application.alert( "this " + String( this ) );
//		mx.core.Application.alert( "contextOver " +contextOver );

		var cm = new _global["ContextMenu"]();
		cm.hideBuiltInItems();
		var cmi:ContextMenuItem;

		for ( var p in dataProvider )
		{			
		trace( "aaaaaaaaaaa " + dataProvider[p] + " " + dataProvider[p].caption );
			var contextMenuItemPressedDelegate = mx.utils.Delegate.create( this, contextItemPressed );	
						
			if ( typeof dataProvider[p] == "string" )
			{
				cmi = new ContextMenuItem( dataProvider[p], contextMenuItemPressedDelegate );
			}
			else
			{
				cmi = new ContextMenuItem( dataProvider[p].caption, contextMenuItemPressedDelegate, dataProvider[p].separatorBefore, dataProvider[p].enabled, dataProvider[p].visible );
					
				for ( var q in dataProvider[p] )
					cmi[q] = dataProvider[p][q];
			}
						
			cm.customItems.push( cmi );
		}
	
		cm.customItems.reverse();
			
//		mx.core.Application.alert( "mx.core.Application.application[contextOver] " + mx.core.Application.application[contextOver] );
		mx.core.Application.application[ contextOver ].menu = cm;
	}
	
	public function contextItemPressed( event, menuObject )
	{
		dispatchEvent( { type: "menuItemSelected", contextOver: contextOver, menuItem: menuObject } );
	}
}