class EmailValidator extends mx.validators.EmailValidator
{
	public var required:Boolean = false;
	
	public function EmailValidator()
	{
		super();
	}
	
	public function doValidation( email:String ) : Void
	{
		if ( email.length == 0 && !required )
			return;
			
		super.doValidation( email );		
	}
	
	public static function validateRequiredEmail( validator, value, baseField, required ) : Boolean 
	{
		if ( value.length == 0 && !required )
			return true;
			
		return mx.validators.EmailValidator.validateEmail( validator, value, baseField );
	}
}