use flexbook;

DROP TABLE IF EXISTS credit_cards;
CREATE TABLE credit_cards
(
	id INT NOT NULL AUTO_INCREMENT,
	interest_rate INT,
	balance_transfer_interest_rate INT,
	has_interest_free_period TINYINT,
	is_charitable TINYINT,
	has_airmiles TINYINT,
	has_cashback TINYINT,
	summary VARCHAR(255),
	blurb TEXT,
	asset VARCHAR(255),
	PRIMARY KEY(id)
);

DROP TABLE IF EXISTS applications;
CREATE TABLE applications
(
	id INT NOT NULL AUTO_INCREMENT,
	first_name VARCHAR(255),
	last_name VARCHAR(255),
	address_line_1 VARCHAR(255),
	address_line_2 VARCHAR(255),
	address_line_3 VARCHAR(255),
	city VARCHAR(255),
	country VARCHAR(255),
	postcode VARCHAR(255),
	date_of_birth DATETIME,
	credit_card_id TINYINT,
	status TINYINT,
	gender_is_male TINYINT,
	credit_limit INT,
	requested_credit_limit INT,
	date_of_application DATETIME NOT NULL,
    lost_or_stolen TINYINT NOT NULL,
	PRIMARY KEY(id)
);

