import com.iterationtwo.boe.vo.*;
import com.iterationtwo.boe.business.*;

class com.iterationtwo.boe.business.ApplicationDelegate
{
	public function ApplicationDelegate( responder:Responder )
	{
		this.service = mx.core.Application.application.services.applicationService;
		trace ( "ApplicationDelegate.service" + service );
		this.responder = responder;
	}

//------------------------------------------------------------
 
	public function addApplication( application : ApplicationVO ) : Void
	{
		trace ( "ApplicationDelegate.addApplication" );
		trace ( "ApplicationDelegate.addApplication firstName " + application.firstName );
		var call = service.addApplication( application );

		trace ( "ApplicationDelegate.addApplication call " + call );

		call.resultHandler = mx.utils.Delegate.create( Object( this.responder ), this.responder.onResult );
		call.faultHandler = mx.utils.Delegate.create( Object( this.responder ), this.responder.onFault );  
	}

//------------------------------------------------------------
 
	public function updateApplication( id : Number, creditLimit : Number, status : Number ) : Void
	{
		trace ( "ApplicationDelegate.updateApplication " + id + " " + creditLimit + " " + status );
		var call = service.updateApplication( id, creditLimit, status );

		trace ( "ApplicationDelegate.addApplication call " + call );

		call.resultHandler = mx.utils.Delegate.create( Object( this.responder ), this.responder.onResult );
		call.faultHandler = mx.utils.Delegate.create( Object( this.responder ), this.responder.onFault );  
	}


//------------------------------------------------------------
 
	public function getApplications() : Void
	{
		var call = service.getApplications();

		call.resultHandler = mx.utils.Delegate.create( Object( this.responder ), this.responder.onResult );
		call.faultHandler = mx.utils.Delegate.create( Object( this.responder ), this.responder.onFault );  
	}
	
	public function getApplicationsOverTime( creditCardId : Number, monthsBack : Number ) : Void
	{
		trace( "getApplicationsOverTime " + creditCardId + " " + monthsBack );
		var call = service.getApplicationsOverTime( creditCardId, monthsBack );

		call.resultHandler = mx.utils.Delegate.create( Object( this.responder ), this.responder.onResult );
		call.faultHandler = mx.utils.Delegate.create( Object( this.responder ), this.responder.onFault );  
	}

	public function getApplicationCountPerCard() : Void
	{
		var call = service.getApplicationCountPerCard();

		call.resultHandler = mx.utils.Delegate.create( Object( this.responder ), this.responder.onResult );
		call.faultHandler = mx.utils.Delegate.create( Object( this.responder ), this.responder.onFault );  
	}


//------------------------------------------------------------

	private var responder:Responder;
	private var service:Object;
}